package sampleSearchDissociation;

import java.util.HashSet;
import java.util.LinkedList;
import java.util.List;


/**
 * Positive disjunction of literals (clause in a DNF): assumes 'tupleIDs' are represented by positive integers.
 * Used for Ground Truth generation with Vibhav tool SampleSearch
 * uses a linked list of Integers (not set)
 * @author Wolfgang Gatterbauer
 * @version First Version: March, 2010 
 * @version This Version: Dec 7, 2010
 */
public class Clause {
	public LinkedList<Integer> tupleIDs ;
	
	
	/**
	 * Constructor
	 * @param List of integers: tupleIDs
	 */
	public Clause(List<Integer> vars) {
		this.tupleIDs = new LinkedList<Integer>(vars);
	}
		
	
	/**
	 * minimize Clause, i.e. remove duplicates 
	 */
	public void minimizeClause() {
		tupleIDs = new LinkedList<Integer>(new HashSet<Integer>(tupleIDs));		// mapping over temporary set which removes duplicates
	}
		
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return tupleIDs.toString();
	}
}